Package org.eclipse.m2m.atl.drivers.uml24atl

# Class Invocation

java.lang.Object
org.eclipse.m2m.atl.drivers.uml24atl.Invocation

public class Invocation extends Object
Stores an UML specific invocation method.

## Constructor Summary

Constructors
Constructor
Description
`Invocation(StackFrame frame, ASMUMLModelElement self, String opName, List arguments)`
Creates a new delayed Invocation.

## Method Summary

Modifier and Type
Method
Description
`List`
`getArguments()`
`StackFrame`
`getFrame()`
`String`
`getOpName()`
`ASMUMLModelElement`
`getSelf()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Invocation

public Invocation(StackFrame frame, ASMUMLModelElement self, String opName, List arguments)
Creates a new delayed Invocation.

Parameters:
  `frame` - the frame context
  `self` - the model element caller
  `opName` - the operation name
  `arguments` - the operation arguments

## Method Details

### getFrame

public StackFrame getFrame()

### getSelf

public ASMUMLModelElement getSelf()

### getOpName

public String getOpName()

### getArguments

public List getArguments()